Skip to main content
GET
/
v1
/
x402
/
transfers
Search x402 transfers
curl --request GET \
  --url https://gateway-api-testnet.circle.com/v1/x402/transfers
{
  "transfers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "token": "USDC",
      "sendingNetwork": "eip155:11155111",
      "recipientNetwork": "eip155:11155111",
      "fromAddress": "<string>",
      "toAddress": "<string>",
      "amount": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

from
string

Filter by sender address.

to
string

Filter by recipient address.

network
string

Filter by CAIP-2 network identifier (e.g., eip155:11155111).

status
enum<string>

Filter by transfer status.

Available options:
received,
batched,
confirmed,
completed,
failed
token
enum<string>

Filter by token type.

Available options:
USDC
startDate
string<date-time>

Filter transfers created on or after this date.

endDate
string<date-time>

Filter transfers created on or before this date.

pageSize
integer

Number of results per page.

Required range: x >= 1
pageAfter
string

Cursor for the next page of results.

pageBefore
string

Cursor for the previous page of results.

Response

Paginated list of transfers

transfers
object[]